%define	upstream_name	 Module-Load-Conditional
%define upstream_version 0.74

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Looking up module information / loading at runtime
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Locale::Maketext::Simple)
BuildRequires: perl(Module::CoreList) >= 2.220.0
BuildRequires: perl(Module::Load) >= 0.280.0
BuildRequires: perl(Module::Metadata) >= 1.0.5
BuildRequires: perl(Params::Check)
BuildRequires: perl(Test::More)
BuildRequires: perl(version) >= 0.690.0
BuildArch:  noarch

%description
Module::Load::Conditional provides simple ways to query and possibly load any
of the modules you have installed on your system during runtime.

It is able to load multiple modules at once or none at all if one of them was
not able to load. It also takes care of any error checking and so forth.

It allows you to fetch any file pointed to by a ftp, http, file, or rsync uri
by a number of different means.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc CHANGES META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Module
%{_mandir}/*/*

%changelog
* Sat Aug 22 2020 tv <tv> 0.740.0-1.mga8
+ Revision: 1617769
- update to 0.74

* Fri Jun 26 2020 tv <tv> 0.720.0-1.mga8
+ Revision: 1599331
- update to 0.72

* Tue Feb 18 2020 umeabot <umeabot> 0.700.0-2.mga8
+ Revision: 1537805
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Nov 11 2019 tv <tv> 0.700.0-1.mga8
+ Revision: 1459230
- update to 0.70

* Wed Sep 19 2018 umeabot <umeabot> 0.680.0-2.mga7
+ Revision: 1269463
- Mageia 7 Mass Rebuild

* Fri Nov 18 2016 neoclust <neoclust> 0.680.0-1.mga6
+ Revision: 1068142
- New version 0.68 ( Fixes CVE-2016-1238 )

* Sun Jun 19 2016 pterjan <pterjan> 0.640.0-3.mga6
+ Revision: 1030159
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.640.0-2.mga6
+ Revision: 965923
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.640.0-1.mga6
+ Revision: 839207
- update to 0.64

* Sun Oct 19 2014 umeabot <umeabot> 0.620.0-4.mga5
+ Revision: 789815
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.620.0-3.mga5
+ Revision: 741700
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.620.0-2.mga5
+ Revision: 685457
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.620.0-1.mga5
+ Revision: 588192
- update to 0.62

* Sat Oct 19 2013 umeabot <umeabot> 0.580.0-2.mga4
+ Revision: 533995
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.580.0-1.mga4
+ Revision: 475972
- update to 0.58

* Fri Aug 30 2013 sander85 <sander85> 0.560.0-1.mga4
+ Revision: 473272
- update to 0.56

* Wed Mar 27 2013 jquelin <jquelin> 0.540.0-4.mga3
+ Revision: 405511
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.540.0-3.mga3
+ Revision: 369912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.540.0-2.mga3
+ Revision: 315528
- perl 5.16.2 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 0.540.0-1.mga3
+ Revision: 284593
- update to 0.54

* Mon Jun 04 2012 jquelin <jquelin> 0.500.0-1.mga3
+ Revision: 254132
- update to 0.50

* Fri Nov 04 2011 jquelin <jquelin> 0.460.0-3.mga2
+ Revision: 162829
- take priority over module bundled with perl 5.14.2

* Sun Sep 18 2011 takashi <takashi> 0.460.0-2.mga2
+ Revision: 144794
- update to 0.46

* Fri Feb 18 2011 jquelin <jquelin> 0.440.0-2.mga1
+ Revision: 53632
- rebuild

* Thu Feb 10 2011 jquelin <jquelin> 0.440.0-1.mga1
+ Revision: 49734
- update to 0.44

* Sun Jan 23 2011 jquelin <jquelin> 0.400.0-1.mga1
+ Revision: 33961
- mageia rebuild
- imported package perl-Module-Load-Conditional

